### Function

# JavaScriptCore options_set_range_string

since: 2.24

#### Declaration [src]

    gboolean
    jsc_options_set_range_string (
      const char* option,
      const char* value
    )

#### Description [src]

Set `option` as a range string. The string must be in the format [!]<low>[:<high>] where low and high are #guint values. Values between low and high (both included) will be considered in the range, unless ! is used to invert the range.

Available since: 2.24

#### Parameters

`option`

  Type: `const char*`

  The option identifier.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const char*`

  The value to set.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if option was correctly set or `FALSE` otherwise.